--Addon Trigger Settings
	local Guild=1 -- Enable on guild member achievements
	local Party=1 -- Enable on party members achievements
	local Near=1  -- Enable for people near you

--Addon Output Settings
	local MSBT=1  -- Output achievement to Mik's Scrolling Battle Text
	local Popup=1 -- Grats popup
	local Sound=1 -- Enable Sound Output
	local gmsg="{star} Grats {star}" -- Grats Message


local AchSnd = CreateFrame("Frame")

AchSnd:SetScript("OnEvent",function(self, event,...)
	local args = {...}
	color = {255,255,255}
	mode = "DEFAULT"
	msg = args[1]:format(args[5])
	
	if (args[5] == UnitName("player")) then
		return
	end
	
	if (event == "CHAT_MSG_ACHIEVEMENT")then
		if (UnitInParty(args[5])) then
			if (Party ~=1) then 
				return
			end
			color = {0,255,255}
			mode = "PARTY"
		else
			if (Near ~=1)then
				return
			end
			color = {255,255,255}
			mode = "SAY"
		end
	end
	
	if (event == "CHAT_MSG_GUILD_ACHIEVEMENT") then
		if (Guild ~= 1) then
			return
		end
		color = {0,255,0}
		mode = "GUILD"
	end
	
	if (mode == "DEFAULT") then
		return
	end

	if ((MSBT == 1) and (not(MikSBT.IsModDisabled() ))) then
		MikSBT.DisplayMessage( msg , MikSBT.DISPLAYTYPE_NOTIFICATION, true, color[1], color[2], color[3])
	end

	if (Sound == 1) then
		PlaySound("LEVELUPSOUND")
	end
	
	if (Popup == 1) then 
		StaticPopupDialogs["AchSnd"] = {
			text = msg,
			button1 = "Grats",
			button2 = "Cancel",
			OnAccept = function(self)
				SendChatMessage( gmsg , mode )
			end,
			timeout = 15
			}
			
		StaticPopup_Show("AchSnd")
	end

end) 

AchSnd:RegisterEvent("CHAT_MSG_ACHIEVEMENT")
AchSnd:RegisterEvent("CHAT_MSG_GUILD_ACHIEVEMENT")
